Subject: Re: [RFC PATCH 1/1] NUMA aware scheduling per cpu vhost thread

From: David Ahern <[email-masked]>
Date: Fri, 23 Mar 2012 17:45:40 -0600

On 3/23/12 12:32 PM, Thomas Lendacky wrote:
> Quick description of the tests:
>    TCP_RR and UDP_RR using 256 byte request/response size in 1, 10, 30
>    and 60 instances
>    TCP_STREAM and TCP_MAERTS using 256, 1K, 4K and 16K message sizes
>    and 1 and 4 instances
>
>    Remote host to VM using 1, 4, 12 and 24 VMs (2 vCPUs) with the tests
>    running between an external host and each VM.
>
>    Local VM to VM using 2, 4, 12 and 24 VMs (2 vCPUs) with the tests
>    running between VM pairs on the same host (no TCP_MAERTS done in
>    this situation).
>
> For TCP_RR and UDP_RR tests I report the transaction rate as the
> score and the transaction rate / KVMhost CPU% as the efficiency.
>
> For TCP_STREAM and TCP_MAERTS tests I report the throughput in Mbps
> as the score and the throughput / KVMhost CPU% as the efficiency.
Would you mind sharing the netperf commands you are running and an 
example of the math done to arrive at the summaries presented?

David